.tabs-container {
  z-index: var(--z-tabs);
  width: 100%;
}

.tabs-container--sticky {
  position: sticky;
  display: flex;
  align-items: center;
  justify-content: center;
  border-bottom: 1px solid var(--Brand-Gray-300);
  transition-property: top;
  transition-timing-function: var(--transition-timing-function);
  transition-duration: var(--transition-duration);
}

.tabs {
  position: relative;
  width: 100%;

  & button {
    -webkit-tap-highlight-color: transparent;
  }
}

.tabs--page-specific {
  max-width: 1560px;
}

.tabs--page-specific .tabs__list {
  padding: 20px 60px 0;

  @media (max-width: 1439px) {
    padding: 20px 56px 0 40px;
  }

  @media (max-width: 1023px) {
    gap: 24px;
    padding: 16px 52px 0 36px;
  }

  @media (max-width: 599px) {
    padding: 16px 62px 0 20px;
  }
}

.tabs__list {
  position: relative;
  display: flex;
  flex-flow: row nowrap;
  width: 100%;
  align-items: flex-end;
  justify-content: flex-start;
  gap: 32px;
  overflow: auto;
  scrollbar-width: none;

  &::-webkit-scrollbar {
    display: none;
  }
}

.tabs__list--overflown {
  padding-right: 60px;

  @media (max-width: 1439px) {
    padding-right: 56px;
  }

  @media (max-width: 1023px) {
    padding-right: 52px;
  }

  @media (max-width: 599px) {
    padding-right: 62px;
  }
}

.tab {
  position: relative;
  text-wrap: nowrap;
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
  padding: 4px 0;
  color: var(--Brand-Gray-700);
  background-color: transparent;
  border: none;
  cursor: pointer;
  outline: none;

  &:hover {
    color: var(--brand-primary-blue-700-main);
  }
}

.tab--page-specific {
  padding: 12px 0;
}

.tab--active {
  color: var(--brand-primary-blue-700-main);
  font-weight: 500;

  &:hover {
    color: var(--Brand-Primary-Blue-500);
  }

  &::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    z-index: 1;
    height: 2px;
    width: 100%;
    background-color: var(--brand-primary-blue-700-main);
  }
}

.bg-overflowBtnOverlayL {
  position: absolute;
  left: 0;
  bottom: 0;
  top: 0;
  z-index: 2;
  pointer-events: none;
  width: 24px;
  background: linear-gradient(
    90deg,
    var(--brand-bw-white, #fff) 20.15%,
    var(--alpha-white-85, rgba(255, 255, 255, 0.85)) 50%,
    var(--alpha-white-5, rgba(255, 255, 255, 0.05)) 99.75%
  );
}

.bg-overflowBtnOverlayR {
  position: absolute;
  bottom: 0;
  right: 32px;
  top: 0;
  z-index: 2;
  pointer-events: none;
  width: 24px;
  background: linear-gradient(
    90deg,
    var(--alpha-white-5, rgba(255, 255, 255, 0.05)) 0.25%,
    var(--alpha-white-85, rgba(255, 255, 255, 0.85)) 50%,
    var(--brand-bw-white, #fff) 79.85%
  );
}

.tabs-dropdown-trigger {
  position: absolute;
  bottom: 0;
  right: -6px;
  top: 0;
  z-index: 10;
  display: none;
  align-items: flex-end;
  width: 48px;
  background-color: #fff;
  padding-bottom: 4px;
}

.tabs-dropdown-trigger--page-specific {
  padding-bottom: 12px;
}

.tabs-dropdown-trigger__button {
  display: flex;
  aspect-ratio: 1 / 1;
  width: 34px;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  border: 1px solid var(--Brand-Gray-600);
  background-color: #fff;
  outline: none;
  transition-property: border, background-color;
  transition-timing-function: var(--transition-timing-function);
  transition-duration: var(--transition-duration);
  cursor: pointer;

  & > i {
    transition-property: transform;
    transition-timing-function: var(--transition-timing-function);
    transition-duration: var(--transition-duration);
  }

  &:hover {
    border: 1px solid var(--Brand-Primary-Blue-200);

    & > i {
      color: var(--Brand-Primary-Blue-200);
    }
  }
}

.tabs-content-container {
  padding-inline: var(--gs-margin);
}
